## nsc

nsc creates NATS operators, accounts, users, and manage their permissions.

```
nsc [flags]
```

### Options

```
  -H, --all-dirs string       sets --config-dir, --data-dir, and --keystore-dir to the same value
      --config-dir string     nsc config directory
      --data-dir string       nsc data store directory
  -h, --help                  help for nsc
  -i, --interactive           ask questions for various settings
      --keystore-dir string   nsc keystore directory
  -K, --private-key string    Key used to sign. Can be specified as role (where applicable),
                              public key (private portion is retrieved)
                              or file path to a private key or private key 
  -v, --version               version for nsc
```

### SEE ALSO

* [nsc add](nsc_add.md)	 - Add assets such as accounts, imports, users
* [nsc completion](nsc_completion.md)	 - Generate the autocompletion script for the specified shell
* [nsc delete](nsc_delete.md)	 - Delete imports and exports
* [nsc describe](nsc_describe.md)	 - Describe assets such as operators, accounts, users, and jwt files
* [nsc edit](nsc_edit.md)	 - Edit assets such as accounts, imports, and users
* [nsc env](nsc_env.md)	 - Prints and manage the nsc environment
* [nsc expirations](nsc_expirations.md)	 - Create a new expiration report
* [nsc export](nsc_export.md)	 - Export assets such as nkeys
* [nsc generate](nsc_generate.md)	 - Generate activations, creds, configs or nkeys
* [nsc import](nsc_import.md)	 - Import assets such as nkeys
* [nsc init](nsc_init.md)	 - Initialize an environment by creating an operator, account and user
* [nsc keys](nsc_keys.md)	 - Manage keys for operators, accounts, and users
* [nsc list](nsc_list.md)	 - List assets such as accounts, imports, users
* [nsc load](nsc_load.md)	 - install entities for an operator, account and key
* [nsc pull](nsc_pull.md)	 - Pull an operator or account jwt replacing the local jwt with the server's version
* [nsc push](nsc_push.md)	 - Push an account jwt to an Account JWT Server
* [nsc reissue](nsc_reissue.md)	 - Re-issue objects with a new identity key
* [nsc revocations](nsc_revocations.md)	 - Manage revocation for users and activations from an account
* [nsc select](nsc_select.md)	 - Set the current operator or account
* [nsc tool](nsc_tool.md)	 - NATS tools: pub, sub, req, rep, rtt
* [nsc update](nsc_update.md)	 - Update this tool to latest version
* [nsc validate](nsc_validate.md)	 - Validate an operator, account(s), and users

###### Auto generated by spf13/cobra on 2-Jan-2025
