## nsc edit signing-key

Edit a scoped signing key or promote a signing key to be scoped

### Synopsis

# Edit permissions associated with the account (n) signing key (sk):
nsc edit signing-key --account <n> --sk <sk> --allow-pubsub <subject>,...
nsc edit signing-key --account <n> --sk <sk> --allow-pub <subject>,...
nsc edit signing-key --account <n> --sk <sk> --allow-sub <subject>,...


```
nsc edit signing-key [flags]
```

### Options

```
  -a, --account string               account name
      --allow-pub strings            add publish permissions - comma separated list or option can be specified multiple times
      --allow-pub-response int[=1]   permissions to limit how often a client can publish to reply subjects [with an optional count, --allow-pub-response=n] (global)
      --allow-pubsub strings         add publish and subscribe permissions - comma separated list or option can be specified multiple times
      --allow-sub strings            add subscribe permissions - comma separated list or option can be specified multiple times
      --bearer                       no connect challenge required for user
      --conn-type strings            set allowed connection types: LEAFNODE MQTT STANDARD WEBSOCKET LEAFNODE_WS MQTT_WS IN_PROCESS - comma separated list or option can be specified multiple times
      --data number                  set maximum data in bytes for the user (-1 is unlimited) (default -1)
      --deny-pub strings             add deny publish permissions - comma separated list or option can be specified multiple times
      --deny-pubsub strings          add deny publish and subscribe permissions - comma separated list or option can be specified multiple times
      --deny-sub strings             add deny subscribe permissions - comma separated list or option can be specified multiple times
      --description string           user description associated with the role
  -h, --help                         help for signing-key
      --locale time-locale           set the locale with which time values are interpreted
      --payload number               set maximum message payload in bytes for the account (-1 is unlimited) (default -1)
      --response-ttl string          the amount of time the permissions is valid (global) - [#ms(millis) | #s(econds) | m(inutes) | h(ours)] - Default is no time limit.
      --rm strings                   remove publish/subscribe and deny permissions - comma separated list or option can be specified multiple times
      --rm-conn-type strings         remove connection types - comma separated list or option can be specified multiple times
      --rm-response-perms            remove response settings from permissions
      --rm-source-network strings    remove source network for connection - comma separated list or option can be specified multiple times
      --rm-time strings              remove start-end time by start time "hh:mm:ss" (option can be specified multiple times)
      --role string                  role associated with the signing key scope
      --sk strings                   signing key or keypath or the value "generate" to generate a key pair on the fly
      --source-network strings       add source network for connection - comma separated list or option can be specified multiple times
      --subs int                     set maximum number of subscriptions (-1 is unlimited) (default -1)
      --time time-ranges             add start-end time range of the form "hh:mm:ss-hh:mm:ss" (option can be specified multiple times) (default [])
```

### Options inherited from parent commands

```
  -H, --all-dirs string       sets --config-dir, --data-dir, and --keystore-dir to the same value
      --config-dir string     nsc config directory
      --data-dir string       nsc data store directory
  -i, --interactive           ask questions for various settings
      --keystore-dir string   nsc keystore directory
  -K, --private-key string    Key used to sign. Can be specified as role (where applicable),
                              public key (private portion is retrieved)
                              or file path to a private key or private key 
```

### SEE ALSO

* [nsc edit](nsc_edit.md)	 - Edit assets such as accounts, imports, and users

###### Auto generated by spf13/cobra on 2-Jan-2025
